1.0

1.0

post /v1/clusters/{cluster_id}/replicas/other-region

Description

Create Other region Replica.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

ReplicasOtherRegionCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/replicas/other-region

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = mysql 1.0"

Request body

{
    "allowable_ip_addresses": [
        ""
    ],
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": ""
    },
    "nat_enabled": "",
    "region": "",
    "replica_count": "",
    "replicas": [
        {
            "instance_groups": [
                {
                    "block_storage_groups": [
                        {
                            "role_type": "",
                            "size_gb": 104,
                            "volume_type": "SSD"
                        }
                    ],
                    "instances": [
                        {
                            "public_ip_id": "",
                            "role_type": "ACTIVE",
                            "service_ip_address": ""
                        }
                    ],
                    "role_type": "ACTIVE",
                    "server_type_name": ""
                }
            ],
            "name": ""
        }
    ],
    "subnet_id": "",
    "tags": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}